Create a transactions
To create a PayPal transaction, set themethod to paypal and the redirect_url to the endpoint of your application that can handle the customer returning once they’ve completed approving the transaction on paypal.com.
See the POST /transactions API endpoint for more details.
status set to buyer_approval_pending as well as a payment_method.approval_url.
About tokenization
If your PayPal account supports Reference Transactions, then you can pass thestore=true parameter to each request to vault a buyer’s PayPal account for future use.
This does require you to tick the Payment tokenization toggle for your PayPal connection in your dashboard.

Handle redirect to PayPal
Your application will need to redirect your customer to PayPal where they will be required to authenticate the payment. To do so, redirect the customer to thepayment_method.approval_url. After they’ve authenticated themselves, the customer will be redirected back to the redirect_url that you set when creating the transaction.
Handle the return to your app
When the customer is redirected back to your app, the transaction status is not known. Your application will therefore need to call our API to get the latest transaction status. To do this, yourredirect_url will be appended with the gr4vy_transaction_id.
Fetch the latest status
Finally, after the transaction has been created your application can get the latest details and status using the transaction ID received via the callback to the redirect URL, or on direct callback from the API.Visit the API reference documentation for full details about the
transaction resource, and any other API.